| fir_filter2.cmd

logfile fir_filter2.log

|stepsize 15

clock external_clka 	0 1 0 0 0 0
clock external_clkb		0 0 0 0 1 0

|clock external_clka 	0 1 0 0
|clock external_clkb	0 0 0 1

clock Vdd 1

vector heuristics h{1:0}
vector debug_tog DebugToggle{1:0}
vector debug_out debug{5:0}
vector control_state ctrl_StBit{0:4}*
vector rom_state rom_StBit{0:6}*
vector fir_inputs input{9:0}
vector input_latched input_latched{9:0}
vector fifo_outputs fifo_out{9:0}
vector rom_outputs rom{5:0}
vector mul_input_x mul_x{5:0}
vector mul_input_y mul_y{5:0}
vector mul_outputs mul_out{11:0}
vector add_input_a add_a{11:0}
vector add_input_b add_b{15:0}
vector add_outputs add_out{15:0}
vector add_latched add_latch{15:0}
vector out_latched out_latch{15:0}
vector fir_outputs output{9:0}


| Inputs
ana restart failsafe heuristics debug_tog input_enable fir_inputs 

| Outputs
ana control_state rom_state
ana input_latch_en input_latched 
ana fifo_load fifo_advance fifo_outputs
ana rom_cycle_start rom_outputs 
ana mul_input_x mul_input_y mul_outputs
ana add_b_zero add_input_a add_input_b add_outputs add_latched
ana output_latch_en output_latch_en_and_clka out_latched output_ready
ana fir_outputs 
ana output_ready_external
ana debug_out

| Debugging Outputs
|ana external_clka external_clkb
ana clka clkabar clkb clkbbar

| *********************

| Simulation #1 - Test the failsafe mode
V restart		0 			0      	       
V failsafe		1 			1 
V input_enable 	1			0
set heuristics	00
set debug_tog	00      
set fir_inputs  1111111111	
R

V restart		0 			0      	       
V failsafe		1 			1 
V input_enable 	1			0
set heuristics	00
set debug_tog	00      
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		1 			1 
V input_enable 	0			0
set heuristics	00
set debug_tog	00      
set fir_inputs  1010101010	
R

| *********************

| Restart the PLA
V restart		0 			1 			0
V failsafe		0 			0 			0
set fir_inputs 	0000000000
set heuristics	00
set debug_tog	00
V input_enable 	0			0			0
R


| *********************

| Simulation #2 - Load FIFO with new input, and cycle through FIFO
V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0
set heuristics	01
set debug_tog	00      
set fir_inputs  1001100000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	01
set debug_tog	00
set fir_inputs  0000000000	
R

| OPTIONAL - Stop after one cycle for quick debugging...
|q

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	10
set debug_tog	00
set fir_inputs  1001000000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	10
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	11
set debug_tog	00
set fir_inputs  1001100000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	11
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1010100000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1100000000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1101110000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1111110000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  0001110000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  0100000000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  0110100000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1000100000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1001110000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1001100000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  0111110000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  0101000000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  0010000000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1111000000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1100010000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1010100000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000	
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	00
set fir_inputs  1001100000	
R

V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	00
set fir_inputs  0000000000		
R

V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	10  
set fir_inputs  1001110000	
R


V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	10
set fir_inputs  0000000000	
R


V restart		0 			0      	       
V failsafe		0 			0 
V input_enable 	1			0        
set heuristics	00
set debug_tog	01  
set fir_inputs  1010100000	
R


V restart		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics	00
set debug_tog	01
set fir_inputs  0000000000	
R
