| ELEC 422 Project - FIR Filter
| Fall 2004
| Jeff Shafer and Quming Zhou
|
|
| NOTE: "Useful" simulation results are at the very beginning and
|        very end of this file, because in the middle, the filter
|        is just being fed 21 new data samples.  Until 20
|        samples are input, no valid output will be shown.

logfile fullchip.log

clock p_clka 		0 1 0 0 0 0
clock p_clkb		0 0 0 0 1 0

clock Vdd 1

vector heuristics p_heur{1:0}
vector debug_tog p_debug_tog{1:0}
vector debug_out p_debug{5:0}
vector fir_inputs p_input{9:0}
vector fir_outputs p_output{9:0}


| Inputs
ana p_restart  p_failsafe  heuristics  debug_tog  p_input_enable  fir_inputs 

| Outputs
ana p_out_ready  fir_outputs  debug_out

| Debugging Signals
ana p_clka p_clkb


| *********************

| Simulation #1 - Test the failsafe mode
V p_restart			0 			0      	       
V p_failsafe		1 			1 
V p_input_enable 	1			0
set heuristics		00
set debug_tog		00      
set fir_inputs  	1111111111	
R

V p_restart			0 			0      	       
V p_failsafe		1 			1 
V p_input_enable 	1			0
set heuristics		00
set debug_tog		00      
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		1 			1 
V p_input_enable 	0			0
set heuristics		00
set debug_tog		00      
set fir_inputs  	1010101010	
R

| *********************

| Restart the PLA
V p_restart			0 			1 			0
V p_failsafe		0 			0 			0
set fir_inputs 		0000000000
set heuristics		00
set debug_tog		00
V p_input_enable 	0			0			0
R


| *********************

| Simulation #2 - Load FIFO with new input, and cycle through FIFO. Repeat 21 times
V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0
set heuristics		01
set debug_tog		01      
set fir_inputs  	1001100000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		01
set debug_tog		01
set fir_inputs  	0000000000	
R

| OPTIONAL - Stop after one cycle for quick debugging...
|q

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		10
set debug_tog		01
set fir_inputs  	1001000000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		10
set debug_tog		01
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		11
set debug_tog		01
set fir_inputs  	1001100000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		11
set debug_tog		01
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1010100000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1100000000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1101110000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1111110000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	0001110000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	0100000000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	0110100000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1000100000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1001110000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1001100000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs 	 	0111110000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	0101000000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	0010000000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1111000000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1100010000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		00
set fir_inputs  	1010100000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		00
set fir_inputs  	0000000000	
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		01
set fir_inputs  	1001100000	
R

V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		01
set fir_inputs  	0000000000		
R

V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		10  
set fir_inputs 	 	1001110000	
R


V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		10
set fir_inputs  	0000000000	
R


V p_restart			0 			0      	       
V p_failsafe		0 			0 
V p_input_enable 	1			0        
set heuristics		00
set debug_tog		11  
set fir_inputs  	1010100000	
R


V p_restart			0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_failsafe		0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
V p_input_enable 	0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0
set heuristics		00
set debug_tog		11
set fir_inputs  	0000000000	
R
